Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#53 Failed to create temporary file for jnidispatch library

All
closed-fixed
nobody
None
5
2014-08-12
2012-04-10
No

Hello,
YAJSW 11.0: after running under root it is not possible to start under unproveleged user.
On previous versions it was possible.
java.lang.reflect.InvocationTargetException
[19:26:25] [foreach]
[19:26:25] [foreach] at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
[19:26:25] [foreach]
[19:26:25] [foreach] at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
[19:26:25] [foreach]
[19:26:25] [foreach] at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
[19:26:25] [foreach]
[19:26:25] [foreach] at java.lang.reflect.Method.invoke(Method.java:597)
[19:26:25] [foreach]
[19:26:25] [foreach] at org.rzo.yajsw.boot.WrapperExeBooter.main(WrapperExeBooter.java:43)
[19:26:25] [foreach]
[19:26:25] [foreach] Caused by: java.lang.Error: Failed to create temporary file for jnidispatch library: java.io.IOException: Permission denied
[19:26:25] [foreach]
[19:26:25] [foreach] at com.sun.jna.Native.loadNativeLibraryFromJar(Native.java:762)
[19:26:25] [foreach]
[19:26:25] [foreach] at com.sun.jna.Native.loadNativeLibrary(Native.java:697)
[19:26:25] [foreach]
[19:26:25] [foreach] at com.sun.jna.Native.<clinit>(Native.java:127)
[19:26:25] [foreach]
[19:26:25] [foreach] at com.sun.jna.Pointer.<clinit>(Pointer.java:42)
[19:26:25] [foreach]
[19:26:25] [foreach] at com.sun.jna.PointerType.<init>(PointerType.java:25)
[19:26:25] [foreach]
[19:26:25] [foreach] at com.sun.jna.ptr.ByReference.<init>(ByReference.java:32)
[19:26:25] [foreach]
[19:26:25] [foreach] at com.sun.jna.ptr.IntByReference.<init>(IntByReference.java:22)
[19:26:25] [foreach]
[19:26:25] [foreach] at com.sun.jna.ptr.IntByReference.<init>(IntByReference.java:18)
[19:26:25] [foreach]
[19:26:25] [foreach] at org.rzo.yajsw.os.posix.PosixProcess.<init>(PosixProcess.java:43)
[19:26:25] [foreach]
[19:26:25] [foreach] at org.rzo.yajsw.os.posix.OperatingSystemPosix.setWorkingDir(OperatingSystemPosix.java:12)
[19:26:25] [foreach]
[19:26:25] [foreach] at org.rzo.yajsw.WrapperExe.main(WrapperExe.java:166)
[19:26:25] [foreach]
[19:26:25] [foreach] ... 5 more

Discussion

  • rzo
    rzo
    2012-04-11

    pls test if resolved with 11.01

     
  • rzo
    rzo
    2013-12-20

    • status: open --> closed-fixed
    • Group: --> All